-- name: [CS] THE GAMESCAGE
-- description: The Hype man and beloved Sonic fan, Fadel, AKA the GamesCage is now available to play via this CS Modpack!\n\n\Modpack by VioletArts
-- deluxe: true
local globalModName = "THE GAMESCAGE";

local E_GAMESCAGE_MODEL = smlua_model_util_get_id("gamescage_violet_geo");
local GAMESCAGE_CAPMODELS = {
normal = smlua_model_util_get_id("gamescage_violet_cap_geo"),
wing = smlua_model_util_get_id("gamescage_violet_cap_wing_geo"),
metal = smlua_model_util_get_id("gamescage_violet_cap_metal_geo"),
metalWing = smlua_model_util_get_id("gamescage_violet_cap_metal_wing_geo"),
}
local GAMESCAGE_DESC = {"The Hype man and beloved Sonic fan, Fadel, AKA", "the GamesCage is now available to play", "via this CS Modpack!"}
local GAMESCAGE_SELECTCOLOR = {r = 255, g = 69, b = 255}
local GAMESCAGE_PALETTE = {
[PANTS] = "202020",
[SHIRT] = "484848",
[GLOVES] = "FFCFBF",
[SHOES] = "92339E",
[HAIR] = "FF82DB",
[SKIN] = "FFCFBF",
[CAP] = "92339E",
[EMBLEM] = "C881EB"
}

if _G.charSelectExists and SM64COOPDX_VERSION then
    local curVers = _G.charSelect.version_get();
     if not tonumber(curVers) then
        curVers = string.gsub(curVers, "[%a%s_()!?:,@#-]+", "");
                
        curVers = curVers:gsub("%.", "X", 1):gsub("%.", ""):gsub("X", ".");
    end
    curVers = tonumber(curVers);

table.insert(GAMESCAGE_DESC, "");
table.insert(GAMESCAGE_DESC, "Model by VioletArts");

local charNum = _G.charSelect.character_add("GamesCage", GAMESCAGE_DESC, "VioletArts", GAMESCAGE_SELECTCOLOR, E_GAMESCAGE_MODEL, CT_MARIO, get_texture_info("gamescage_violet_icon")); -- adds the character to CS. change that _skl part
_G.charSelect.character_add_caps(E_GAMESCAGE_MODEL, CHARA_CAPMODELS);

if curVers >= 1.8 then -- adds palette preset if 1.8 or above
_G.charSelect.character_add_palette_preset(E_GAMESCAGE_MODEL, GAMESCAGE_PALETTE);
end
--[[if curVers > 1.8 then -- adds custom health meter if above 1.8
_G.charSelect.character_add_health_meter(charNum, healthHUDTex);
end]]

else
    djui_popup_create("\\#ffffdc\\\n"..globalModName.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end